#pragma once

#include "..\..\DuiLib\UIlib.h"

using namespace DuiLib;



class CAboutWnd : public WindowImplBase
{
    DUI_DECLARE_MESSAGE_MAP()

public:
	CAboutWnd();
	~CAboutWnd();

	LPCTSTR GetWindowClassName() const;
	void InitWindow();
	void OnPrepare(TNotifyUI& msg);
	void CloseAboutWnd();
	
	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();
	virtual void OnFinalMessage(HWND hWnd);
	virtual LRESULT OnKillFocus(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnNcHitTest(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	virtual LRESULT OnLButtonDown(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& bHandled);
	virtual LRESULT OnLButtonUp(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& bHandled);

protected:
	void NotifyCtrlClick(TNotifyUI& msg);
    void OnNotifySetFocus(TNotifyUI& msg);
    void OnNotifyKillFocus(TNotifyUI& msg);
	void LoadVersionInfo();
// DUI member
private:

private:
	BOOL				m_bClosing;
	CString				m_strUpdateDate;
	CString				m_strUpdateVersion;
};
